package com.zivilon.cinder_loe.blocks;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import com.zivilon.cinder_loe.LoECreativeTabs;
import net.minecraft.block.Block;
import net.minecraft.block.BlockFence;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.util.IIcon;

import java.lang.reflect.Field;

import static net.minecraft.init.Blocks.fence;

public class barricade extends Block {

    @SideOnly(Side.CLIENT)
    private IIcon field_149950_a;
    @SideOnly(Side.CLIENT)
    private IIcon field_149949_b;
    public barricade() {
        super(Material.wood); // Choose the appropriate material
        setCreativeTab(LoECreativeTabs.tabBlockLoE);
        setHardness(5.0F);
        setResistance(15.0F);
        setStepSound(Block.soundTypeWood);
        setBlockTextureName("lotr:red_dwarf_steel");
        setBlockName("lotr:blockRedDwarfSteel");
    }

    public boolean renderAsNormalBlock()
    {
        return false;
    }
    public boolean isOpaqueCube()
    {
        return false;
    }

    @SideOnly(Side.CLIENT)
    public IIcon getIcon(int side, int meta)
    {
        return side == 0 ? this.field_149949_b : (side == 1 ? this.field_149950_a : this.blockIcon);
    }

    @SideOnly(Side.CLIENT)
    public void registerBlockIcons(IIconRegister reg)
    {
        this.blockIcon = reg.registerIcon(this.getTextureName());
    }

}
